using BingoBrain.Core;

namespace BingoBrain
{
    public class CallEndUI : BaseUI
    {
        private CallEndUICtrl ctrl;

        private CallEndModel model;

        public CallEndUI(CallEndUICtrl ctrl) : base(ctrl)
        {
            uiName = UIConst.CallEndUI;
            this.ctrl = ctrl;
        }

        protected override void SetUIInfo(UIInfo uiInfo)
        {
            uiInfo.packageName = "JBingoPlay";
            uiInfo.assetName = "com_callEnd";
            uiInfo.layerType = UILayerType.Popup;
            uiInfo.isNeedOpenAnim = true;
            uiInfo.isNeedCloseAnim = true;
            uiInfo.isNeedUIMask = true;
        }

        #region 生命周期

        protected override void OnInit()
        {
            model = ModuleBoardk.GetModel(ModelConst.CallEndModel) as CallEndModel;
        }

        protected override void OnClose()
        {
        }

        protected override void OnBind()
        {
        }

        protected override void OnOpenBefore(object args)
        {
        }

        protected override void OnOpen(object args)
        {
        }

        #endregion
    }
}